module Paths_hslua (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,2], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/houeland/.cabal/bin"
libdir     = "/home/houeland/.cabal/lib/hslua-0.2/ghc-6.12.1"
datadir    = "/home/houeland/.cabal/share/hslua-0.2"
libexecdir = "/home/houeland/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "hslua_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "hslua_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "hslua_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "hslua_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
